openvas-scanner (23.38.1-1build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sat, 21 Feb 2026 14:34:28 +0000

openvas-scanner (23.38.1-1) unstable; urgency=medium

  * New upstream version 23.38.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 29 Jan 2026 15:25:09 +0100

openvas-scanner (23.38.0-1) unstable; urgency=medium

  * New upstream version 23.38.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 21 Jan 2026 12:01:26 +0100

openvas-scanner (23.36.1-1) unstable; urgency=medium

  * New upstream version 23.36.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 15 Jan 2026 11:31:19 +0100

openvas-scanner (23.35.4-1) unstable; urgency=medium

  * New upstream version 23.35.4
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 11:34:31 +0100

openvas-scanner (23.35.3-1) unstable; urgency=medium

  * New upstream version 23.35.3
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 09:27:55 +0100

openvas-scanner (23.32.6-1) unstable; urgency=medium

  * New upstream version 23.32.6
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 08 Dec 2025 14:10:33 +0100

openvas-scanner (23.32.5-1) unstable; urgency=medium

  * New upstream version 23.32.5
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Fri, 05 Dec 2025 11:23:55 +0100

openvas-scanner (23.30.1-1) unstable; urgency=medium

  * New upstream version 23.30.1
  * Refresh patches
  * Update debian/watch to Version 5
  * Update build-dep: add libmagic-dev
  * Update debian/copyright
  * Add dep on gpg-agent

 -- Sophie Brun <sophie@kali.org>  Thu, 13 Nov 2025 09:23:54 +0100

openvas-scanner (23.23.1-1) unstable; urgency=medium

  * Update my email
  * Remove old debian/NEWS
  * New upstream version 23.23.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 20 Aug 2025 10:49:46 +0200

openvas-scanner (23.17.0-1) unstable; urgency=medium

  * New upstream version 23.17.0
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Apr 2025 11:01:10 +0200

openvas-scanner (23.16.1-1) unstable; urgency=medium

  * New upstream version 23.16.1
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 09:52:36 +0100

openvas-scanner (23.13.1-1) unstable; urgency=medium

  * New upstream version 23.13.1
  * Update debian/copyright
  * Refresh patches
  * Import uptream patch to fix unit test (Closes: #1082690)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Nov 2024 15:52:34 +0100

openvas-scanner (23.9.0-1) unstable; urgency=medium

  * New upstream version 23.9.0
  * Refresh patches
  * Add a patch to remove a failing test

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Oct 2024 11:25:59 +0200

openvas-scanner (23.8.5-1) unstable; urgency=medium

  * Add a patch to remove Werror (Closes: #1077954)
  * Bump Standards-Version to 4.7.0 (no changes)
  * New upstream version 23.8.5
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Aug 2024 15:41:03 +0200

openvas-scanner (23.4.1-1) unstable; urgency=medium

  * New upstream version 23.4.1
  * Refresh patches
  * Do not use libgcrypt-config (Closes: #1071950)
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jun 2024 11:15:38 +0200

openvas-scanner (23.0.1-1) unstable; urgency=medium

  * New upstream version 23.0.0
  * Update debian/copyright
  * Update build-deps
  * New upstream version 23.0.1
  * Fix FTBFS on arm{el,hf} (Closes: #1067075), thanks to Simon Chopin
  * Use distro FORTIFY_SOURCE (Closes: #1067672), Thanks to Florent 'Skia' Jacquet

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 16:32:50 +0200

openvas-scanner (22.7.9-1) unstable; urgency=medium

  * New upstream version 22.7.9

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Dec 2023 14:10:26 +0100

openvas-scanner (22.7.7-1) unstable; urgency=medium

  * New upstream version 22.7.7
  * Refresh patches
  * Update debian/copyright
  * Updated minimal required version of libgvm-dev
  * Do not install old scripts
  * Remove obsolete patch Explain-to-run-command-greenbone-nvt-sync-with-_gvm-user

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Nov 2023 11:06:12 +0100

openvas-scanner (22.4.1-3) unstable; urgency=medium

  * Terminate the gpg agent after setting up the gpg homedir

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 27 Feb 2023 14:22:31 +0700

openvas-scanner (22.4.1-2) unstable; urgency=medium

  * Use upstream redis-openvas.conf with a Debian patch instead of
    debian/redis-openvas.conf* so we will import the upstream improvements
    (like
    https://github.com/greenbone/openvas-scanner/pull/1199/commits/130a07177804262b0f0e80c72f89eccd473be132)
  * Add missing key for feed validation
    (https://greenbone.github.io/docs/latest/22.4/source-build/index.html#feed-validation)
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Feb 2023 08:54:17 +0100

openvas-scanner (22.4.1-1) unstable; urgency=medium

  * New upstream version 22.4.1
  * Refresh patches
  * Update debian/copoyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Jan 2023 15:01:10 +0100

openvas-scanner (22.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sophie Brun ]
  * New upstream version 22.4.0
  * Update debian/copyright
  * Add missing build-deps and update minimal required version of libgvm
  * Bump Standards-Version to 4.6.1 (no change)
  * Add new parameter in openvas.conf for notus-scanner
  * Force install lib in usr/lib/
  * Fix the build with recent gpgme and ksba
  * Remove useless depends on obsolete package lsb-base

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:27:45 +0100

openvas-scanner (21.4.4-1) unstable; urgency=medium

  * New upstream version 21.4.4
  * Update debian/copyright
  * Small improve in
    Explain-to-run-command-greenbone-nvt-sync-with-_gvm-user.patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 15:22:41 +0200

openvas-scanner (21.4.3-1) unstable; urgency=medium

  * New upstream version 21.4.3
  * debian/rules: use upstream defaults parameters
  * Update minimal required version to libgvm-dev
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Jan 2022 10:02:39 +0100

openvas-scanner (21.4.2-1) unstable; urgency=medium

  * Update debian/copyright
  * New upstream version 21.4.2
  * Build-dep: update minimal required version of libgvm-dev
  * Bump Standards-Version to 4.5.1 (no change)
  * Import upstream patch to fix segfault in tests
  * Update dependencies
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Aug 2021 17:03:21 +0200

openvas-scanner (20.8.0-2) unstable; urgency=medium

  [ Sophie Brun ]
  * Add a patch to fix test failure (Closes: #976712)

  [ Raphael Hertzog ]
  * Update patch meta-data
  * Add some lintian overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Dec 2020 15:27:49 +0100

openvas-scanner (20.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * New upstream version 20.8.0
  * Update debian/copyright
  * Change required version of libgvm-dev: 20.8.0
  * Refresh patches
  * Add a comment about OPENVAS_RUN_DIR in debian/rules
  * Update debian/rules with correct run dir and feed lock path

  [ SZ Lin (林上智) ]
  * Update copyright information
  * I am no longer using this package, and thus remove my name from the
    uploaders field due to time constraints

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Dec 2020 15:18:05 +0100

openvas-scanner (7.0.1-4) unstable; urgency=medium

  * Team upload.
  * Don't build and run tests on ppc64el and s390x due to lack of cgreen

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 28 Aug 2020 17:17:46 +0200

openvas-scanner (7.0.1-3) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Add upstream patch and Debian patch to improve greenbone-nvt-sync

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 07 Aug 2020 21:31:02 +0200

openvas-scanner (7.0.1-2) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Optimized redis-openvas.conf as upstream advises (Closes: #966641)
  * Add Replaces and Conflicts on openvas-nasl and libopenvas-dev

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 06 Aug 2020 14:59:15 +0200

openvas-scanner (7.0.1-1) unstable; urgency=medium

  * Team upload

  [ SZ Lin (林上智) ]
  * Add libcgreen1-dev to B-D for unit test
  * Compile the unit test program
  * Remove unit test with autopktest

  [ Raphaël Hertzog ]
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Add NEWS file to warn about the rename of OpenVAS to GVM

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 31 Jul 2020 17:38:58 +0200

openvas-scanner (7.0.1-1~exp1) experimental; urgency=medium

  [ Sophie Brun ]
  * Add --force-badname option in postinst
  * Add _gvm in redis group to have access to the redis socket
  * User _gvm owns /var/lib/openvas/gnupg and /var/lib/openvas/plugins
  * New upstream version 7.0.1
  * Update minimal required version of libgvm11
  * Change OPENVAS_RUN_DIR to /var/lib/openvas
  * Update debian/openvas-scanner.logrotate for user _gvm

  [ SZ Lin (林上智) ]
  * Add autopkgtest test case
  * Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 02 Jul 2020 17:34:19 +0800

openvas-scanner (7.0.0-1~exp1) experimental; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Sophie Brun ]
  * New upstream version 7.0.0
  * Update for new name of other tools (gvm*)
  * Add missing build-dep bison
  * Disable dh_auto_test: it requires cgreen, not in Debian
  * Update debian/copyright
  * Replace openvassd by openvas and openvas dirs by gvm dirs
  * openvas scanner does no longer run as a service
  * Update CMAKE_BUILD_TYPE in debian/rules
  * Update Homepage
  * Bump Standards-Version to 4.5.0 (no changes)

  [ SZ Lin (林上智) ]
  * Configure git-buildpackage for Debian
  * Create an account "_gvm" for use by greenbone-nvt-sync
  * Set Rules-Requires-Root: no
  * Apply debhelper-compat to remove d/compat
  * Add missing files in GPL-2+ license
  * Update metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 03 Mar 2020 15:30:05 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openvas-scanner`.
